---
id: contributing
title: "Contribuyendo en Verdaccio"
---
Primero lo primero, saltar en un código desconocido no es tarea fácil, pero estamos aquí para ayudarte.

## Canales de Comunicación

Si estas deseando por hacer preguntas, nosotros tenemos dos canales para discusiones:

* [Canal público en Gitter](https://gitter.im/verdaccio/)
* [Canal Slack para Colaboradores](https://verdaccio-npm.slack.com)(desafortunadamente solo se puede entrar bajo petición por correo electrónico, si estas interesado (es en ingles) puedes preguntar en Gitter para ser incluido.

## Empezando

A primera vista verdaccio es un solo repositorio, pero hay muchas mas formas en las que podrías contribuir y una gran variedad de tecnologías en las que practicar.

### Encontrando mi lugar

Todos tenemos diferentes habilidades, así que, vamos a ver donde podrías sentirte cómodo.

### Se o quiero aprender Node.js

Node.js es la base de `verdaccio`, usamos librerías como `express`, `commander`, `request` o ` async`. Verdaccio es básicamente un API REST para crear comunicación con clientes `npm` compatibles, como ` yarn`.

Tenemos una larga [lista de plugins](plugins.md) que pueden ser usados y mejorados, pero al mismo tiempo [tu podrías crear el tuyo propio](dev-plugins.md).

### Preferiría trabajar en el Interfaz de Usuario

Recientemente hemos migrado a tecnologías mas modernas como `React`y `element-react`. Estamos con ganas de ver nuevas ideas como mejorar el Interfaz de Usuario.

### Me siento más cómodo mejorado el stack

Por su puesto, estaríamos muy felices que nos ayudaras a mejorar el stack, puedes actualizar dependencias como `eslint`, `stylelint` o `webpack`. O simplemente podrías mejorar la configuración de ` webpack`, sería genial. Cualquier sugerencia es bienvenida. Ademas si quieres mejorar tu experiencia con**Yeoman** podrías ayudarnos con [verdaccio generator](https://github.com/verdaccio/generator-verdaccio-plugin).

Aquí algunas ideas:

* Crear un paquete común de de reglas eslint que podrían ser usados en todas nuestras dependencias o extensiones
* Mejorar las definiticiones de tipado en Flow
* Migrar a Webpack 4
* Mejorar el hot reload con webpack
* Usamos babel y webpack a lo largo de todas las dependencias, porque uno un preset en común?
* Mejorar la entrega vía integración continua

### Soy bueno con la Documentación

Muchos colaboradores encuentras faltas o errores gramaticales, eso también podría ser de ayuda para mejorar la experiencia de resolución de problemas.

### Soy Diseñador

Tenemos un sitio web <http://www.verdaccio.org/> y estaríamos muy felices de ver tus ideas.

Nuestro sitio web esta basado en [ Docusaurus](https://docusaurus.io/).

### Soy DevOps

Tenemos una imagen muy popular en Docker <https://hub.docker.com/r/verdaccio/verdaccio/> que necesita mantenimiento y muy seguramente mejoras, necesitamos tu conocimiento para el beneficio de todos los usuarios.

Ofrecemos soporte para ** Kubernetes**, **Puppet**, **Ansible** y **Chef** y necesitamos ayuda en esos campos, siéntete libre de ver todos los repositorios.

### Puedo hacer traduciones

Verdaccio tiene como objetivo ser multilenguaje, con el fin de conseguirlo **tenemos el soporte** de [ Crowdin](https://crowdin.com) que es una plataforma increíble de traducciones.

<img src="https://d3n8a8pro7vhmx.cloudfront.net/uridu/pages/144/attachments/original/1485948891/Crowdin.png" width="400px" />

Tenemos configurado un sitio donde puedes elegir tu idioma favorito, si no encuentras tu idioma siéntete libre de pedirlo [creando un ticket](https://github.com/verdaccio/verdaccio/issues/new).

[Ir a Crowdin Verdaccio](https://crowdin.com/project/verdaccio)

## Estoy listo para contribuir

Si estas pensando *"Ya vi todos los [repositorios](repositories.md) y estoy deseando contribuir ahora mismo"* y tengo buenas noticias para tu, ese el siguiente paso.

Primero necesitaras aprender como construir el proyecto, [nosotros hemos preparados uan guia justo para eso](build.md).

Una vez has revisado todos los script y sabes como usarlos, estamos listos para ir al siguiente paso, ejecutar [**los test unitarios**](test.md).

## La lista completa de colaboradores. Queremos ver tu cara aquí !

| [<img alt="juanpicado" src="https://avatars0.githubusercontent.com/u/558752?v=4&s=117" width="117" />](https://github.com/juanpicado) | [<img alt="rlidwka" src="https://avatars0.githubusercontent.com/u/999113?v=4&s=117" width="117" />](https://github.com/rlidwka) | [<img alt="Meeeeow" src="https://avatars3.githubusercontent.com/u/19658647?v=4&s=117" width="117" />](https://github.com/Meeeeow) | [<img alt="trentearl" src="https://avatars2.githubusercontent.com/u/802857?v=4&s=117" width="117" />](https://github.com/trentearl) | [<img alt="ayusharma" src="https://avatars0.githubusercontent.com/u/6918450?v=4&s=117" width="117" />](https://github.com/ayusharma) |
|:-------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [juanpicado](https://github.com/juanpicado)                                              |                                              [rlidwka](https://github.com/rlidwka)                                              |                                               [Meeeeow](https://github.com/Meeeeow)                                               |                                              [trentearl](https://github.com/trentearl)                                              |                                              [ayusharma](https://github.com/ayusharma)                                               |

| [<img alt="verdacciobot" src="https://avatars0.githubusercontent.com/u/35213902?v=4&s=117" width="117" />](https://github.com/verdacciobot) | [<img alt="jmwilkinson" src="https://avatars0.githubusercontent.com/u/17836030?v=4&s=117" width="117" />](https://github.com/jmwilkinson) | [<img alt="UnitedMarsupials" src="https://avatars1.githubusercontent.com/u/1486340?v=4&s=117" width="117" />](https://github.com/UnitedMarsupials) | [<img alt="ryan-codingintrigue" src="https://avatars0.githubusercontent.com/u/9048902?v=4&s=117" width="117" />](https://github.com/ryan-codingintrigue) | [<img alt="ramonornela" src="https://avatars1.githubusercontent.com/u/187946?v=4&s=117" width="117" />](https://github.com/ramonornela) |
|:-------------------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------------:|
|                                               [verdacciobot](https://github.com/verdacciobot)                                               |                                               [jmwilkinson](https://github.com/jmwilkinson)                                               |                                              [UnitedMarsupials](https://github.com/UnitedMarsupials)                                               |                                              [ryan-codingintrigue](https://github.com/ryan-codingintrigue)                                               |                                              [ramonornela](https://github.com/ramonornela)                                              |

| [<img alt="renovate-bot" src="https://avatars0.githubusercontent.com/u/25180681?v=4&s=117" width="117" />](https://github.com/renovate-bot) | [<img alt="rodriguesbreno" src="https://avatars2.githubusercontent.com/u/19731692?v=4&s=117" width="117" />](https://github.com/rodriguesbreno) | [<img alt="vernak2539" src="https://avatars2.githubusercontent.com/u/521270?v=4&s=117" width="117" />](https://github.com/vernak2539) | [<img alt="jachstet-sea" src="https://avatars0.githubusercontent.com/u/7993508?v=4&s=117" width="117" />](https://github.com/jachstet-sea) | [<img alt="lgaitan" src="https://avatars0.githubusercontent.com/u/5970350?v=4&s=117" width="117" />](https://github.com/lgaitan) |
|:-------------------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------:|
|                                               [renovate-bot](https://github.com/renovate-bot)                                               |                                               [rodriguesbreno](https://github.com/rodriguesbreno)                                               |                                              [vernak2539](https://github.com/vernak2539)                                              |                                              [jachstet-sea](https://github.com/jachstet-sea)                                               |                                              [lgaitan](https://github.com/lgaitan)                                               |

| [<img alt="crispy1989" src="https://avatars1.githubusercontent.com/u/2132722?v=4&s=117" width="117" />](https://github.com/crispy1989) | [<img alt="neuquino" src="https://avatars1.githubusercontent.com/u/1971027?v=4&s=117" width="117" />](https://github.com/neuquino) | [<img alt="markpeterfejes" src="https://avatars3.githubusercontent.com/u/7912231?v=4&s=117" width="117" />](https://github.com/markpeterfejes) | [<img alt="steve-p-com" src="https://avatars3.githubusercontent.com/u/5180548?v=4&s=117" width="117" />](https://github.com/steve-p-com) | [<img alt="BartDubois" src="https://avatars0.githubusercontent.com/u/1180931?v=4&s=117" width="117" />](https://github.com/BartDubois) |
|:--------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [crispy1989](https://github.com/crispy1989)                                               |                                              [neuquino](https://github.com/neuquino)                                               |                                              [markpeterfejes](https://github.com/markpeterfejes)                                               |                                              [steve-p-com](https://github.com/steve-p-com)                                               |                                              [BartDubois](https://github.com/BartDubois)                                               |

| [<img alt="karfau" src="https://avatars1.githubusercontent.com/u/135657?v=4&s=117" width="117" />](https://github.com/karfau) | [<img alt="030" src="https://avatars1.githubusercontent.com/u/7524528?v=4&s=117" width="117" />](https://github.com/030) | [<img alt="Qwerios" src="https://avatars2.githubusercontent.com/u/254447?v=4&s=117" width="117" />](https://github.com/Qwerios) | [<img alt="wiggisser" src="https://avatars3.githubusercontent.com/u/3647678?v=4&s=117" width="117" />](https://github.com/wiggisser) | [<img alt="kfatehi" src="https://avatars1.githubusercontent.com/u/175305?v=4&s=117" width="117" />](https://github.com/kfatehi) |
|:-----------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|
|                                              [karfau](https://github.com/karfau)                                              |                                              [030](https://github.com/030)                                               |                                              [Qwerios](https://github.com/Qwerios)                                              |                                              [wiggisser](https://github.com/wiggisser)                                               |                                              [kfatehi](https://github.com/kfatehi)                                              |

| [<img alt="imsnif" src="https://avatars3.githubusercontent.com/u/795598?v=4&s=117" width="117" />](https://github.com/imsnif) | [<img alt="denisbabineau" src="https://avatars2.githubusercontent.com/u/12616025?v=4&s=117" width="117" />](https://github.com/denisbabineau) | [<img alt="HCanber" src="https://avatars2.githubusercontent.com/u/800302?v=4&s=117" width="117" />](https://github.com/HCanber) | [<img alt="jgoz" src="https://avatars2.githubusercontent.com/u/132233?v=4&s=117" width="117" />](https://github.com/jgoz) | [<img alt="josephg" src="https://avatars1.githubusercontent.com/u/47413?v=4&s=117" width="117" />](https://github.com/josephg) |
|:-----------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------:|
|                                              [imsnif](https://github.com/imsnif)                                              |                                               [denisbabineau](https://github.com/denisbabineau)                                               |                                              [HCanber](https://github.com/HCanber)                                              |                                              [jgoz](https://github.com/jgoz)                                              |                                             [josephg](https://github.com/josephg)                                              |

| [<img alt="kba" src="https://avatars0.githubusercontent.com/u/273367?v=4&s=117" width="117" />](https://github.com/kba) | [<img alt="aledbf" src="https://avatars2.githubusercontent.com/u/161571?v=4&s=117" width="117" />](https://github.com/aledbf) | [<img alt="drubin" src="https://avatars0.githubusercontent.com/u/237513?v=4&s=117" width="117" />](https://github.com/drubin) | [<img alt="plitex" src="https://avatars3.githubusercontent.com/u/2946823?v=4&s=117" width="117" />](https://github.com/plitex) | [<img alt="nedelenbos" src="https://avatars2.githubusercontent.com/u/6542243?v=4&s=117" width="117" />](https://github.com/nedelenbos) |
|:-----------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [kba](https://github.com/kba)                                              |                                              [aledbf](https://github.com/aledbf)                                              |                                              [drubin](https://github.com/drubin)                                              |                                              [plitex](https://github.com/plitex)                                               |                                              [nedelenbos](https://github.com/nedelenbos)                                               |

| [<img alt="mysiar" src="https://avatars3.githubusercontent.com/u/13708162?v=4&s=117" width="117" />](https://github.com/mysiar) | [<img alt="bufferoverflow" src="https://avatars2.githubusercontent.com/u/378909?v=4&s=117" width="117" />](https://github.com/bufferoverflow) | [<img alt="osher" src="https://avatars0.githubusercontent.com/u/803101?v=4&s=117" width="117" />](https://github.com/osher) | [<img alt="danielo515" src="https://avatars2.githubusercontent.com/u/2270425?v=4&s=117" width="117" />](https://github.com/danielo515) | [<img alt="marnel" src="https://avatars3.githubusercontent.com/u/3189424?v=4&s=117" width="117" />](https://github.com/marnel) |
|:-------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------:|
|                                               [mysiar](https://github.com/mysiar)                                               |                                              [bufferoverflow](https://github.com/bufferoverflow)                                              |                                              [osher](https://github.com/osher)                                              |                                              [danielo515](https://github.com/danielo515)                                               |                                              [marnel](https://github.com/marnel)                                               |

| [<img alt="aszmyd" src="https://avatars2.githubusercontent.com/u/3050805?v=4&s=117" width="117" />](https://github.com/aszmyd) | [<img alt="estliberitas" src="https://avatars2.githubusercontent.com/u/568962?v=4&s=117" width="117" />](https://github.com/estliberitas) | [<img alt="Alexandre-io" src="https://avatars0.githubusercontent.com/u/8135542?v=4&s=117" width="117" />](https://github.com/Alexandre-io) | [<img alt="amirmohsen" src="https://avatars1.githubusercontent.com/u/7075106?v=4&s=117" width="117" />](https://github.com/amirmohsen) | [<img alt="BarthV" src="https://avatars3.githubusercontent.com/u/1901955?v=4&s=117" width="117" />](https://github.com/BarthV) |
|:------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------:|
|                                              [aszmyd](https://github.com/aszmyd)                                               |                                              [estliberitas](https://github.com/estliberitas)                                              |                                              [Alexandre-io](https://github.com/Alexandre-io)                                               |                                              [amirmohsen](https://github.com/amirmohsen)                                               |                                              [BarthV](https://github.com/BarthV)                                               |

| [<img alt="BogdanAlexandru" src="https://avatars2.githubusercontent.com/u/5050074?v=4&s=117" width="117" />](https://github.com/BogdanAlexandru) | [<img alt="iambrandonn" src="https://avatars2.githubusercontent.com/u/1644549?v=4&s=117" width="117" />](https://github.com/iambrandonn) | [<img alt="robi-wan" src="https://avatars3.githubusercontent.com/u/30210?v=4&s=117" width="117" />](https://github.com/robi-wan) | [<img alt="crohrer" src="https://avatars3.githubusercontent.com/u/1255222?v=4&s=117" width="117" />](https://github.com/crohrer) | [<img alt="psychocode" src="https://avatars3.githubusercontent.com/u/4641709?v=4&s=117" width="117" />](https://github.com/psychocode) |
|:------------------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [BogdanAlexandru](https://github.com/BogdanAlexandru)                                               |                                              [iambrandonn](https://github.com/iambrandonn)                                               |                                             [robi-wan](https://github.com/robi-wan)                                              |                                              [crohrer](https://github.com/crohrer)                                               |                                              [psychocode](https://github.com/psychocode)                                               |

| [<img alt="conorhastings" src="https://avatars2.githubusercontent.com/u/8263298?v=4&s=117" width="117" />](https://github.com/conorhastings) | [<img alt="coreyjewett" src="https://avatars3.githubusercontent.com/u/12782?v=4&s=117" width="117" />](https://github.com/coreyjewett) | [<img alt="dbroadhurst" src="https://avatars1.githubusercontent.com/u/5667105?v=4&s=117" width="117" />](https://github.com/dbroadhurst) | [<img alt="etiennetremel" src="https://avatars1.githubusercontent.com/u/995474?v=4&s=117" width="117" />](https://github.com/etiennetremel) | [<img alt="einfallstoll" src="https://avatars3.githubusercontent.com/u/619048?v=4&s=117" width="117" />](https://github.com/einfallstoll) |
|:--------------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [conorhastings](https://github.com/conorhastings)                                               |                                             [coreyjewett](https://github.com/coreyjewett)                                              |                                              [dbroadhurst](https://github.com/dbroadhurst)                                               |                                              [etiennetremel](https://github.com/etiennetremel)                                              |                                              [einfallstoll](https://github.com/einfallstoll)                                              |

| [<img alt="gempain" src="https://avatars2.githubusercontent.com/u/13135149?v=4&s=117" width="117" />](https://github.com/gempain) | [<img alt="lbguilherme" src="https://avatars0.githubusercontent.com/u/546954?v=4&s=117" width="117" />](https://github.com/lbguilherme) | [<img alt="gecruz" src="https://avatars1.githubusercontent.com/u/29457476?v=4&s=117" width="117" />](https://github.com/gecruz) | [<img alt="idangozlan" src="https://avatars3.githubusercontent.com/u/1991021?v=4&s=117" width="117" />](https://github.com/idangozlan) | [<img alt="jrussellsmyth" src="https://avatars3.githubusercontent.com/u/2998207?v=4&s=117" width="117" />](https://github.com/jrussellsmyth) |
|:---------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------------:|
|                                               [gempain](https://github.com/gempain)                                               |                                              [lbguilherme](https://github.com/lbguilherme)                                              |                                               [gecruz](https://github.com/gecruz)                                               |                                              [idangozlan](https://github.com/idangozlan)                                               |                                              [jrussellsmyth](https://github.com/jrussellsmyth)                                               |

| [<img alt="jirutka" src="https://avatars1.githubusercontent.com/u/949228?v=4&s=117" width="117" />](https://github.com/jirutka) | [<img alt="kingjan1999" src="https://avatars3.githubusercontent.com/u/3208269?v=4&s=117" width="117" />](https://github.com/kingjan1999) | [<img alt="vStone" src="https://avatars2.githubusercontent.com/u/356719?v=4&s=117" width="117" />](https://github.com/vStone) | [<img alt="zaventh" src="https://avatars1.githubusercontent.com/u/669283?v=4&s=117" width="117" />](https://github.com/zaventh) | [<img alt="jeremymoritz" src="https://avatars3.githubusercontent.com/u/2779583?v=4&s=117" width="117" />](https://github.com/jeremymoritz) |
|:-------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [jirutka](https://github.com/jirutka)                                              |                                              [kingjan1999](https://github.com/kingjan1999)                                               |                                              [vStone](https://github.com/vStone)                                              |                                              [zaventh](https://github.com/zaventh)                                              |                                              [jeremymoritz](https://github.com/jeremymoritz)                                               |

| [<img alt="jondlm" src="https://avatars2.githubusercontent.com/u/3290587?v=4&s=117" width="117" />](https://github.com/jondlm) | [<img alt="speier" src="https://avatars3.githubusercontent.com/u/415836?v=4&s=117" width="117" />](https://github.com/speier) | [<img alt="kodypeterson" src="https://avatars1.githubusercontent.com/u/1934708?v=4&s=117" width="117" />](https://github.com/kodypeterson) | [<img alt="mrblackus" src="https://avatars3.githubusercontent.com/u/2353980?v=4&s=117" width="117" />](https://github.com/mrblackus) | [<img alt="metaa" src="https://avatars3.githubusercontent.com/u/5056880?v=4&s=117" width="117" />](https://github.com/metaa) |
|:------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------:|
|                                              [jondlm](https://github.com/jondlm)                                               |                                              [speier](https://github.com/speier)                                              |                                              [kodypeterson](https://github.com/kodypeterson)                                               |                                              [mrblackus](https://github.com/mrblackus)                                               |                                              [metaa](https://github.com/metaa)                                               |

| [<img alt="bajtos" src="https://avatars1.githubusercontent.com/u/1140553?v=4&s=117" width="117" />](https://github.com/bajtos) | [<img alt="okv" src="https://avatars3.githubusercontent.com/u/465522?v=4&s=117" width="117" />](https://github.com/okv) | [<img alt="Vrtak-CZ" src="https://avatars1.githubusercontent.com/u/112567?v=4&s=117" width="117" />](https://github.com/Vrtak-CZ) | [<img alt="rafacesar" src="https://avatars3.githubusercontent.com/u/71136?v=4&s=117" width="117" />](https://github.com/rafacesar) | [<img alt="rbpinheiro" src="https://avatars2.githubusercontent.com/u/1257483?v=4&s=117" width="117" />](https://github.com/rbpinheiro) |
|:------------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [bajtos](https://github.com/bajtos)                                               |                                              [okv](https://github.com/okv)                                              |                                              [Vrtak-CZ](https://github.com/Vrtak-CZ)                                              |                                             [rafacesar](https://github.com/rafacesar)                                              |                                              [rbpinheiro](https://github.com/rbpinheiro)                                               |

| [<img alt="r3wald" src="https://avatars3.githubusercontent.com/u/190202?v=4&s=117" width="117" />](https://github.com/r3wald) | [<img alt="robertgroh" src="https://avatars3.githubusercontent.com/u/5773739?v=4&s=117" width="117" />](https://github.com/robertgroh) | [<img alt="prssn" src="https://avatars1.githubusercontent.com/u/951218?v=4&s=117" width="117" />](https://github.com/prssn) | [<img alt="RodrigoBalest" src="https://avatars0.githubusercontent.com/u/4810463?v=4&s=117" width="117" />](https://github.com/RodrigoBalest) | [<img alt="RomainLK" src="https://avatars3.githubusercontent.com/u/1440514?v=4&s=117" width="117" />](https://github.com/RomainLK) |
|:-----------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|
|                                              [r3wald](https://github.com/r3wald)                                              |                                              [robertgroh](https://github.com/robertgroh)                                               |                                              [prssn](https://github.com/prssn)                                              |                                              [RodrigoBalest](https://github.com/RodrigoBalest)                                               |                                              [RomainLK](https://github.com/RomainLK)                                               |

| [<img alt="rmg" src="https://avatars2.githubusercontent.com/u/17978?v=4&s=117" width="117" />](https://github.com/rmg) | [<img alt="samcday" src="https://avatars0.githubusercontent.com/u/531550?v=4&s=117" width="117" />](https://github.com/samcday) | [<img alt="tarun1793" src="https://avatars0.githubusercontent.com/u/1783440?v=4&s=117" width="117" />](https://github.com/tarun1793) | [<img alt="tcort" src="https://avatars3.githubusercontent.com/u/216720?v=4&s=117" width="117" />](https://github.com/tcort) | [<img alt="grrowl" src="https://avatars2.githubusercontent.com/u/907140?v=4&s=117" width="117" />](https://github.com/grrowl) |
|:----------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------:|:---------------------------------------------------------------------------------------------------------------------------:|:-----------------------------------------------------------------------------------------------------------------------------:|
|                                             [rmg](https://github.com/rmg)                                              |                                              [samcday](https://github.com/samcday)                                              |                                              [tarun1793](https://github.com/tarun1793)                                               |                                              [tcort](https://github.com/tcort)                                              |                                              [grrowl](https://github.com/grrowl)                                              |

| [<img alt="tlvince" src="https://avatars2.githubusercontent.com/u/323761?v=4&s=117" width="117" />](https://github.com/tlvince) | [<img alt="lordvlad" src="https://avatars2.githubusercontent.com/u/1217769?v=4&s=117" width="117" />](https://github.com/lordvlad) | [<img alt="wpasternak" src="https://avatars3.githubusercontent.com/u/958449?v=4&s=117" width="117" />](https://github.com/wpasternak) | [<img alt="yannickcr" src="https://avatars2.githubusercontent.com/u/13209?v=4&s=117" width="117" />](https://github.com/yannickcr) | [<img alt="yannickglt" src="https://avatars0.githubusercontent.com/u/1006426?v=4&s=117" width="117" />](https://github.com/yannickglt) |
|:-------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|:-------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [tlvince](https://github.com/tlvince)                                              |                                              [lordvlad](https://github.com/lordvlad)                                               |                                              [wpasternak](https://github.com/wpasternak)                                              |                                             [yannickcr](https://github.com/yannickcr)                                              |                                              [yannickglt](https://github.com/yannickglt)                                               |

| [<img alt="silkentrance" src="https://avatars3.githubusercontent.com/u/6068824?v=4&s=117" width="117" />](https://github.com/silkentrance) | [<img alt="jjaakola" src="https://avatars3.githubusercontent.com/u/3587824?v=4&s=117" width="117" />](https://github.com/jjaakola) | [<img alt="maxlaverse" src="https://avatars0.githubusercontent.com/u/3045354?v=4&s=117" width="117" />](https://github.com/maxlaverse) | [<img alt="ChadKillingsworth" src="https://avatars2.githubusercontent.com/u/1247639?v=4&s=117" width="117" />](https://github.com/ChadKillingsworth) |
|:------------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------:|:--------------------------------------------------------------------------------------------------------------------------------------:|:----------------------------------------------------------------------------------------------------------------------------------------------------:|
|                                              [silkentrance](https://github.com/silkentrance)                                               |                                              [jjaakola](https://github.com/jjaakola)                                               |                                              [maxlaverse](https://github.com/maxlaverse)                                               |                                              [ChadKillingsworth](https://github.com/ChadKillingsworth)                                               |