---
id: source-code
title: "Source Code"
---
`verdaccio` is composed or multiple repositories you might contribute. Look into the **issues** tab whether there is a ticket waiting for you 

| Repository                                                         | Usage                                                                                                            | Stack                                                                |
| ------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| <https://github.com/verdaccio/verdaccio>                           | The main repository                                                                                              | Node, Express, async, React, Babel, ES6, Mocha, Markdown, HTML, Sass |
| <https://github.com/verdaccio/streams>                             | Small library to handle streams                                                                                  | ES6, Babel, *Soon: Flow*                                             |
| <https://github.com/verdaccio/file-locking>                        | Small library to handle locked files                                                                             | ES6, Babel, *Soon: Flow*                                             |
| <https://github.com/verdaccio/local-storage>                       | Default dependency for verdaccio to handle local file system storage (since `v3.x`)                              | ES6, Babel, Flow                                                     |
| <https://github.com/verdaccio/flow-types>                          | `flow` type definitions for verdaccio and sub dependencies.                                                      | Flow, flow-typed                                                     |
| <https://github.com/verdaccio/verdaccio.github.io>                 | Public `verdaccio` website and future documentation page.                                                        | Markdown, HTML, Sass, Github Pages                                   |
| <https://github.com/verdaccio/docker-examples>                     | Docker examples with `docker-compose` to play around with integrations, (nginx, kubernetes, apache, ldap, etc..) | Docker Compose, Docker                                               |
| <https://github.com/verdaccio/puppet-verdaccio>                    | Puppet support                                                                                                   | Puppet                                                               |
| <https://github.com/verdaccio/ansible-verdaccio>                   | Ansible support                                                                                                  | Ansible                                                              |
| <https://github.com/verdaccio/verdaccio-cookbook>                  | Chef support                                                                                                     | Chef                                                                 |
| <https://github.com/chainlink/charts/tree/master/stable/verdaccio> | Kubernetes support                                                                                               | Kubernetes                                                           |

## Experimental Repos

The following repositories aims to be part of the future infraestructure of `verdaccio` and are just PoC looking for active colaborators.

| Repository                                                | Usage                                          | Stack              |
| --------------------------------------------------------- | ---------------------------------------------- | ------------------ |
| <https://github.com/verdaccio/verdaccio-memory>           | An experimental storage in memory              | ES6, Babel, Flow   |
| <https://github.com/verdaccio/generator-verdaccio-plugin> | Yeoman generators for future verdaccio plugins | ES6, Babel, Yeoman |